/**
 * Max Fighter
 * Copyright (C) 2006 Marian Schedenig (marian@musgit.com)
 * http://maxfighter.musgit.com/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
#ifndef MAXFIGHTER_BUILDINFO_H
#define MAXFIGHTER_BUILDINFO_H

#include <string>

/**
 * This unit is rebuilt anytime the entire game is compiled; the
 * previous object file is deleted to force a rebuild. This way, the
 * implementation will always contain the correct date and time of the
 * last build.
 */

namespace maxfighter
{
	/**
	 * Returns a string containing the date at which the code was built.
	 */
	std::string getBuildDate();

	/**
	 * Returns a string containing the time at which the code was built.
	 */
	std::string getBuildTime();

	/**
	 * Returns a string containing the version number of the code.
	 */
	std::string getVersion();

	/**
	 * Returns a string containing the version number of the code and the
	 * date and time at which it was built.
	 */
	std::string getFullVersion();
};

#endif
